Package org.eclipse.emf.cdo.spi.common.revision

## Class CDOIDMapper

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.CDOIDMapper

- All Implemented Interfaces:
    `CDOReferenceAdjuster`

      public class CDOIDMapper
      extends java.lang.Object
      implements CDOReferenceAdjuster

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOIDMapper​(java.util.Map<CDOID,​CDOID> idMappings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `adjustReference​(java.lang.Object value, org.eclipse.emf.ecore.EStructuralFeature feature, int index)` | Adjusts the internal structure of an object (e.g: `CDORevision`).
    `java.util.Map<CDOID,​CDOID>` | `getIDMappings()` |
    `boolean` | `isAllowUnmappedTempIDs()` |
    `void` | `setAllowUnmappedTempIDs​(boolean allowUnmappedTempIDs)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOIDMapper

          public CDOIDMapper​(java.util.Map<CDOID,​CDOID> idMappings)

  - ### Method Detail

    - #### getIDMappings

          public java.util.Map<CDOID,​CDOID> getIDMappings()

    - #### isAllowUnmappedTempIDs

          public boolean isAllowUnmappedTempIDs()

      Since:
        3.0

    - #### setAllowUnmappedTempIDs

          public void setAllowUnmappedTempIDs​(boolean allowUnmappedTempIDs)

      Since:
        3.0

    - #### adjustReference

          public java.lang.Object adjustReference​(java.lang.Object value,
                                                  org.eclipse.emf.ecore.EStructuralFeature feature,
                                                  int index)

      Description copied from interface: `CDOReferenceAdjuster`
      Adjusts the internal structure of an object (e.g: `CDORevision`). This is mainly used after committing a transaction. `CDORevision` must replace `CDOIDTemp` for non-temporary `CDOID` with a mapped ID. Only the internal structure knows how to do these modifications. This is important to consider using different implementation of `CDOList`.
      Specified by:
        `adjustReference` in interface `CDOReferenceAdjuster`
      Since:
        4.0